# HttpContentType

## Overview

HttpContentType is an Enum that defines common Content-Type header values used in HTTP request or response.

This is used in the PostAsync() method of HttpService and specifies the data format of requests or responses.

## Items

| Name                  | Value | Description                                                                |
| --------------------- | ----- | -------------------------------------------------------------------------- |
| ApplicationJson       | 0     | "application/json" format; used for JSON data.                             |
| ApplicationXml        | 1     | "application/xml" format; used for XML data.                               |
| ApplicationUrlEncoded | 2     | "application/x-www-form-urlencoded" format; used for web form submissions. |
| TextPlain             | 3     | "text/plain" format; used for plain text.                                  |
| TextXml               | 4     | "text/xml" format; used for text-based XML data.                           |

## See also

{% content-ref url="/pages/CwptAMQTahzH2zP2UPbv" %}
[HttpService](/development/api-reference/classes/httpservice.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/development/api-reference/enums/httpcontenttype.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
